Skip to content

API Overview

Base URL: https://falara.io

All requests and responses use JSON (Content-Type: application/json), except file upload endpoints which use multipart/form-data.


Endpoints

Method Endpoint Description
POST /v1/jobs Create a text translation job
POST /v1/jobs/batch-text Multi-language text translation
POST /v1/jobs/file Translate a file
POST /v1/jobs/batch-file Batch file translation
GET /v1/jobs/{job_id} Get job status
GET /v1/jobs/{job_id}/result Get translation result
GET /v1/jobs/{job_id}/download Download translated file
GET /v1/jobs/batch/{batch_id} Get batch status
GET /v1/jobs/batch/{batch_id}/download Download batch as ZIP
GET /v1/glossaries List glossaries
POST /v1/glossaries Create glossary
GET /v1/glossaries/{id} Get glossary
PUT /v1/glossaries/{id} Update glossary
DELETE /v1/glossaries/{id} Delete glossary
GET /health Health check (no auth required)
POST /auth/login Beta login (no auth required)

Error Format

All errors return a JSON body:

{
  "detail": "Human-readable error message"
}

For 409 Conflict (duplicate job), the body includes the existing job:

{
  "detail": "Duplicate content",
  "job_id": "550e8400-e29b-41d4-a716-446655440000",
  "status": "completed"
}

Language Codes

Language codes follow BCP-47 format, e.g. de, en, fr, es, zh.


Pagination

The API does not currently paginate responses. All list endpoints return complete results.